Accounts & connections · Account Settings
Sets FB ice breakers.
PUT
https://api.pozy.ai/v1/accounts/{accountId}/messenger-ice-breakerssetMessengerIceBreakers
Guides: Facebook, Conversation starters
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the accounts resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string |
Request body
application/json, required
ice_breakersarray of objectrequiredAt least 1 item.
localestringrequiredcall_to_actionsarray of objectrequiredAt least 1 item. Up to 4 items.
2 child fields
questionstringrequired1 to 80 characters.
payloadstringrequired1 to 1000 characters.
Example
curl -X PUT "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/messenger-ice-breakers" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"ice_breakers": [
{
"locale": "en",
"call_to_actions": [
{
"question": "string",
"payload": "string"
}
]
}
]
}'const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/messenger-ice-breakers", {
method: "PUT",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
ice_breakers: [
{
locale: "en",
call_to_actions: [
{
question: "string",
payload: "string"
}
]
}
]
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.put(
"https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/messenger-ice-breakers",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"ice_breakers": [
{
"locale": "en",
"call_to_actions": [
{
"question": "string",
"payload": "string",
},
],
},
],
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
successboolean
200 response
{
"success": true
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Account Settings
GETGet a Facebook Page's public infoPATCHUpdate a Facebook Page's public infoGETGet persistent menuPUTSet persistent menuDELDelete persistent menuGETGet FB Get Started buttonPUTSet FB Get Started buttonDELDelete FB Get Started buttonGETGet FB greeting textPUTSet FB greeting textDELDelete FB greeting textGETGet FB ice breakersDELDelete FB ice breakersGETGet IG ice breakersPUTSet IG ice breakersDELDelete IG ice breakersGETGet TG bot commandsPUTSet TG bot commandsDELDelete TG bot commands